#include "connected_data.h"

// internal variables
Lane_type Axera_Lane_type_variable;
Lane_type ME_Lane_type_variable;
LCF_VehNVRAMData_t LCF_VehNVRAMData_t_variable;
Objects_Type Axera_Obstacle_variable;
Objects_Type ME_Obstacle_variable;
ST_ECAMtCyclEnvmode_t ST_ECAMtCyclEnvmode_t_variable;
ST_EMFusionGenObjList_t ST_EMFusionGenObjList_t_variable;
ST_EMVEDVehPar_t ST_EMVEDVehPar_t_variable;
ST_Envm_t_CRObjectList ST_Envm_t_CRObjectList_variable;
ST_Envm_t_GenObjectList ST_Envm_t_GenObjectList_variable;
ST_EnvmNvm_t ST_EnvmNvm_t_variable;
ST_ENVODD2MCU_t ST_ENVODD2MCU_t_variable;
ST_FusionLine_t ST_FusionLine_t_variable;
ST_LBSFunState_t ST_LBSFunState_t_variable;
ST_LCF_DmcGenericOutputs_t ST_LCF_DmcGenericOutputs_t_variable;
ST_LCF_SenGenericOutputs_t ST_LCF_SenGenericOutputs_t_variable;
ST_LCF_SenToVehs_t ST_LCF_SenToVehs_t_variable;
ST_LCF_VehGenericOutputs_t ST_LCF_VehGenericOutputs_t_variable;
ST_LCFSEN_NVRAMData_t ST_LCFSEN_NVRAMData_t_variable;
ST_reqCTASEN_SOA_HMI_t ST_reqCTASEN_SOA_HMI_t_variable;
ST_reqLBSSEN_SOA_HMI_t ST_reqLBSSEN_SOA_HMI_t_variable;
ST_reqLCFSEN_SOA_HMI_t ST_reqLCFSEN_SOA_HMI_t_variable;
ST_reqVLCVEH_SOA_HMI_t ST_reqVLCVEH_SOA_HMI_t_variable;
ST_RoadSemantics2MCU_t ST_RoadSemantics2MCU_t_variable;
ST_sTSROutput_t ST_sTSROutput_t_variable;
ST_VEDVehDyn_t ST_VEDVehDyn_t_variable;
ST_VEDVehSig_t ST_VEDVehSig_t_variable;
ST_VLCSen_acc_object_t ST_VLCSen_acc_object_t_variable;
ST_VLCSen_acc_output_data_t ST_VLCSen_acc_output_data_t_variable;
ST_VLCSen_AccOOI_List_t ST_VLCSen_AccOOI_List_t_variable;
ST_VLCSen_AssessedObjList_t ST_VLCSen_AssessedObjList_t_variable;
ST_VLCSen_HypothesisIntf_t ST_VLCSen_HypothesisIntf_t_variable;
ST_VLCVEH_CANOut ST_VLCVEH_CANOut_variable;
ST_VLCVeh_DFV2SenInfo_t ST_VLCVeh_DFV2SenInfo_t_variable;
ST_VLCVeh_LongCtrlInput_t ST_VLCVeh_LongCtrlInput_t_variable;
ST_VLCVeh_NVRAMData_t ST_VLCVeh_NVRAMData_t_variable;
VLC_AccLeverInput_t VLC_AccLeverInput_t_variable;
VLCSen_NVRAMData_t VLCSen_NVRAMData_t_variable;


// CAN signals
VAR(ADCS_Pilot_SystemFaultStatus_t, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADCS_Pilot_SystemFaultStatus_ADCS_Pilot_SystemFaultStatus;
VAR(ADCS2_ADAS_EPSAngleReq_t, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADCS2_ADAS_EPSAngleReq_ADCS2_ADAS_EPSAngleReq;
VAR(ADCS2_ADAS_EPSAngleReqSt_t, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADCS2_ADAS_EPSAngleReqSt_ADCS2_ADAS_EPSAngleReqSt;
VAR(ADCS2_ADAS_EPSLateralCtrlType_t, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADCS2_ADAS_EPSLateralCtrlType_ADCS2_ADAS_EPSLateralCtrlType;
VAR(ADCS2_EPS_LDPState_t, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADCS2_EPS_LDPState_ADCS2_EPS_LDPState;
VAR(ADCS2_NNP_SystemFaultStatus_t, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADCS2_NNP_SystemFaultStatus_ADCS2_NNP_SystemFaultStatus;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_EnableSt_ADAS_HWA_EnableSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_FailureSt_ADAS_HWA_FailureSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWAHF_CrrtCycLock_ADAS_HWAHF_CrrtCycLock;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWAHF_FailureSt_ADAS_HWAHF_FailureSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_CameraBlockageSt_IFC_CameraBlockageSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_LateralCtrlQuitWarn_IFC_LateralCtrlQuitWarn;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_FrontFogLampSt_BCM_FrontFogLampSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_HazardLampSt_BCM_HazardLampSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_HighBeamSt_BCM_HighBeamSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_LeftTurnLampSt_BCM_LeftTurnLampSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_LowBeamSt_BCM_LowBeamSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_RearFogLampSt_BCM_RearFogLampSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_RightTurnLampSt_BCM_RightTurnLampSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ABSActiveSt_BCS_ABSActiveSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_HDCCtrlSt_BCS_HDCCtrlSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_NoBrakeForce_BCS_NoBrakeForce;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_TCSActiveSt_BCS_TCSActiveSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_TCSOff_BCS_TCSOff;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_DMS_FatigWarnSt_DMS_FatigWarnSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SRS_DriverSeatBeltSt_SRS_DriverSeatBeltSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_BrkPedalSt_VCU_EMS_BrkPedalSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_LateralAssistBtnInfoVD_VCU_LateralAssistBtnInfoVD;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_LCFVEH_pSWCTX_ADAS_LateralCtrlOvrrdFlg_ADAS_LateralCtrlOvrrdFlg;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlAccelCtrlReq_ADAS_LongCtrlAccelCtrlReq;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlDecToStopReq_ADAS_LongCtrlDecToStopReq;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlDriveOff_ADAS_LongCtrlDriveOff;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_IFC_AEBBrkPedalOverRide_IFC_AEBBrkPedalOverRide;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCGoNotifier_MRR_ACCGoNotifier;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCQuitSound_MRR_ACCQuitSound;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCRecpDecelReq_MRR_ACCRecpDecelReq;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCReqQua_MRR_ACCReqQua;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCTakeOverReq_MRR_ACCTakeOverReq;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ActTrqReqVD_MRR_ActTrqReqVD;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_AEBLVehHoldReq_MRR_AEBLVehHoldReq;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_AEBOffSt_MRR_AEBOffSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_AWBReq_MRR_AWBReq;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_FCWFaultSt_MRR_FCWFaultSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_FCWOffSt_MRR_FCWOffSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_IFC_PriCANAvailableSt_MRR_IFC_PriCANAvailableSt;
VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_IFC_PriCANErrorSt_MRR_IFC_PriCANErrorSt;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_StrAngleReq_ADAS_StrAngleReq;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_TorqueReq_IFC_TorqueReq;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLaltrlAccel_BCS_ActVehLaltrlAccel;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLongAccel_BCS_ActVehLongAccel;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpd_BCS_FLWheelSpd;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpd_BCS_FRWheelSpd;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpd_BCS_RLWheelSpd;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpd_BCS_RRWheelSpd;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_VehSpd_BCS_VehSpd;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_YawRate_BCS_YawRate;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngle_EPS_SteeringAngle;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngleSpd_EPS_SteeringAngleSpd;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_StrngWhlTorq_EPS_StrngWhlTorq;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_HVAC_CorrectedExterTemp_HVAC_CorrectedExterTemp;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ICM_TotalOdometer_ICM_TotalOdometer;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ICM_VehInsSpd_ICM_VehInsSpd;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_ActVehWheelTorq_VCU_ActVehWheelTorq;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_ADAS_LnMarkingCurvature_ADAS_LnMarkingCurvature;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_ADAS_LnMarkingHeadAngToVeh_ADAS_LnMarkingHeadAngToVeh;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlTargetAccel_ADAS_LongCtrlTargetAccel;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlTargetAccelJerkMinValue_ADAS_LongCtrlTargetAccelJerkMinValue;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrTargetAccelJerkMaxnValue_ADAS_LongCtrTargetAccelJerkMaxnValue;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCRecpDecel_MRR_ACCRecpDecel;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ActTrqReq_MRR_ActTrqReq;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_AEBTargetDecel_MRR_AEBTargetDecel;
VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_TargetSpd_MRR_TargetSpd;
VAR(uint16, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_LateralAssistBtnInfo_VCU_LateralAssistBtnInfo;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_ILCAbortReason_ADAS_HWA_ILCAbortReason;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_ILCAbortSoundWarn_ADAS_HWA_ILCAbortSoundWarn;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_ILCLeftIndicator_ADAS_HWA_ILCLeftIndicator;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_ILCLeftSt_ADAS_HWA_ILCLeftSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_ILCRightIndicator_ADAS_HWA_ILCRightIndicator;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_ILCRighttSt_ADAS_HWA_ILCRighttSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_HWA_ILCTextInfo_ADAS_HWA_ILCTextInfo;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_L2FunReqSt_ADAS_L2FunReqSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_L3FunReqSt_ADAS_L3FunReqSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_LateralCtrlSt_ADAS_LateralCtrlSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_ADAS_LateralCtrlTyp_ADAS_LateralCtrlTyp;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_ELKSt_IFC_ELKSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_ELKWarnL_IFC_ELKWarnL;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_ELKWarnR_IFC_ELKWarnR;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_LeftTrackingSt_IFC_LeftTrackingSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_LKS_LaneAssistType_IFC_LKS_LaneAssistType;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_RightTrackingSt_IFC_RightTrackingSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_SysCalibrationSt_IFC_SysCalibrationSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_IFC_TorqueReqSt_IFC_TorqueReqSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_DMC_pSWCTX_PCS_LDWStatus_PCS_LDWStatus;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_pSWCTX_EPS_LKACtrlSt_EPS_LKACtrlSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_pSWCTX_LKS_Status_LKS_Status;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ACU_FCWWarnDistanceCfg_ACU_FCWWarnDistanceCfg;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ACU_iACC_SwitchReq_ACU_iACC_SwitchReq;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ACU_LDW_LKACfg_ACU_LDW_LKACfg;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_DriverDoorAjarSt_BCM_DriverDoorAjarSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_FrontWasherSt_BCM_FrontWasherSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_FrontWiperSt_BCM_FrontWiperSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_KeySt_BCM_KeySt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_PsngrDoorAjarSt_BCM_PsngrDoorAjarSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_RLDoorAjarSt_BCM_RLDoorAjarSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_RRDoorAjarSt_BCM_RRDoorAjarSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_TurnLightSwitchSt_BCM_TurnLightSwitchSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ABSFaultSt_BCS_ABSFaultSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLaltrlAccelVD_BCS_ActVehLaltrlAccelVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLongAccelVD_BCS_ActVehLongAccelVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_AEBAvailable_BCS_AEBAvailable;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_AWBActive_BCS_AWBActive;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_BrakeOverHeat_BCS_BrakeOverHeat;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_EBDFaultSt_BCS_EBDFaultSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelRotatedDirection_BCS_FLWheelRotatedDirection;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpdEdgesSum_BCS_FLWheelSpdEdgesSum;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpdEdgesSumVD_BCS_FLWheelSpdEdgesSumVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpdVD_BCS_FLWheelSpdVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelRotatedDirection_BCS_FRWheelRotatedDirection;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpdEdgesSum_BCS_FRWheelSpdEdgesSum;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpdEdgesSumVD_BCS_FRWheelSpdEdgesSumVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpdVD_BCS_FRWheelSpdVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelRotatedDirection_BCS_RLWheelRotatedDirection;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpdEdgesSum_BCS_RLWheelSpdEdgesSum;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpdEdgesSumVD_BCS_RLWheelSpdEdgesSumVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpdVD_BCS_RLWheelSpdVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelRotatedDirection_BCS_RRWheelRotatedDirection;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpdEdgesSum_BCS_RRWheelSpdEdgesSum;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpdEdgesSumVD_BCS_RRWheelSpdEdgesSumVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpdVD_BCS_RRWheelSpdVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_TCSFaultSt_BCS_TCSFaultSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_VehicleStandStillSt_BCS_VehicleStandStillSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_VehSpdVD_BCS_VehSpdVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_YawRateSt_BCS_YawRateSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BSDM_RCTBPrefillReq_BSDM_RCTBPrefillReq;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EMS_ACCButtInfo_EMS_ACCButtInfo;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPB_FailSt_EPB_SysSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPB_SysSt_EPB_SysSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_LKACtrlAbortFeedback_EPS_LKACtrlAbortFeedback;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngleSpdVD_EPS_SteeringAngleSpdVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngleVD_EPS_SteeringAngleVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_StrngWhlTorqVD_EPS_StrngWhlTorqVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPSCtrlSt_EPSCtrlSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_HVAC_CorrectedExterTempVD_HVAC_CorrectedExterTempVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ICM_DisFail_ICM_DisFail;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SAS_CalibratedSt_SAS_CalibratedSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SWSM_A_CD_Add_Overtime_SWSM_A_CD_Add_Overtime;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SWSM_A_CD_Minus_Overtime_SWSM_A_CD_Minus_Overtime;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SWSM_A_CruiseDistance_Add_SWSM_A_CruiseDistance_Add;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SWSM_A_CruiseDistance_Minus_SWSM_A_CruiseDistance_Minus;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SWSM_A_CruiseSpeed_Add_SWSM_A_CruiseSpeed_Add;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SWSM_A_CruiseSpeed_Minus_SWSM_A_CruiseSpeed_Minus;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_AccDriverOrvd_VCU_AccDriverOrvd;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_CrntGearLvl_VCU_CrntGearLvl;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_CrntGearLvlVD_VCU_CrntGearLvlVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_AccPedalActPst_VCU_EMS_AccPedalActPst;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_AccPedalActPstVD_VCU_EMS_AccPedalActPstVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_BrkPedalStVD_VCU_EMS_BrkPedalStVD;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_ADAS_AdjLLnMrkingDispSt_ADAS_AdjLLnMrkingDispSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_ADAS_AdjRLnMrkingDispSt_ADAS_AdjRLnMrkingDispSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_ADAS_HWAHF_HandsOnReqSoundWarn_ADAS_HWAHF_HandsOnReqSoundWarn;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_ADAS_LLnMarkingDisPropToLnWidth_ADAS_LLnMarkingDisPropToLnWidth;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_EPS_HandsOffDetSt_EPS_HandsOffDetSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_IFC_CruiseMode_IFC_CruiseMode;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFSEN_pSWCTX_IFC_LKS_TakeoverReq_IFC_LKS_TakeoverReq;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_LCFVEH_pSWCTX_IFC_TJA_ICA_St_IFC_TJA_ICA_St;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_HWAHF_SpdDecRea_ADAS_HWAHF_SpdDecRea;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_IntlCrusMode_ADAS_IntlCrusMode;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlModeForBrkSys_ADAS_LongCtrlModeForBrkSys;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlShutdownReq_ADAS_LongCtrlShutdownReq;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlTypReqLong_ADAS_LongCtrlTypReqLong;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_LongCtrlTypReqMode_ADAS_LongCtrlTypReqMode;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_SensorBlockedSts_ADAS_SensorBlockedSts;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_SensorCalibrationSts_ADAS_SensorCalibrationSts;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_ADAS_SensorFailure_ADAS_SensorFailure;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCActiveSt_MRR_ACCActiveSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCFaultSt_MRR_ACCFaultSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCFuncCancel_MRR_ACCFuncCancel;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCMode_MRR_ACCMode;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCTextInfo_MRR_ACCTextInfo;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_ACCUnableActivated_MRR_ACCUnableActivated;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_AEBFaultSt_MRR_AEBFaultSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_AWBLevel_MRR_AWBLevel;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_PEBSObjType_MRR_PEBSObjType;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_TargetDistanceSt_MRR_TargetDistanceSt;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_MRR_TauGapSet_MRR_TauGapSet;
VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_VLVEH_pSWCTX_VCU_VehDrvMod_VCU_VehDrvMod;
